Subject: Re: strtof is missing
From: Corinna Vinschen <[email-masked]>
To: [email-masked]
Cc: [email-masked]
Date: Thu, 5 Dec 2002 10:34:07 +0100

On Wed, Dec 04, 2002 at 02:47:36PM -0500, J. Johnston wrote:
> It is not a typo.  Newlib was created to be ANSI with some Unix extensions.
> Originally, strtodf was added in 1992 as an extension.  Since then, C99
> has defined strtof.
> 
> Now, that said, since there is a strtof() routine defined in C99, we might
> as well rename the extension.
> 
> The following is a patch which renames strtodf to be strtof and leaves a
> #define mapping in stdlib for anybody using the old name.  Eventually, we 
> should
> be able to remove the old name entirely.

Thanks Jeff,

but I guess it's better to keep the strtodf() function for backward
compatibility.  I would suggest just to add another function strtof()
so that old applications (linked e.g. against old versions of Cygwin)
will keep running under newer versions.  Removing the symbol might
break these applications (though I assume there aren't that much apps
using strtodf).

Corinna

-- 
Corinna Vinschen                  Please, send mails regarding Cygwin to
Cygwin Developer                                mailto:[email-masked]
Red Hat, Inc.

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Bug reporting:         http://cygwin.com/bugs.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/